package ar.com.supervielle.wsdl.servicios.integracion.cuenta.cajaahorro_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-23T10:07:35.196-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/cajaAhorro-v1", name = "CajadeAhorroPortType_v1.2")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultadetallecon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultapersonasvinculadascon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultamovimientoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultadetalle_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultalistado_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultapersonasvinculadasban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultamovimientosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultacbubantotal_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultaschdextractosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.pagingtypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultacbu_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultasaldopromedio_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultaoperaciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultamovimientos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultapersonasvinculadas_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultarepositorioextracto_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultalistadoconsumo_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultaembargosban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultasaldos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultaordendecuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultaschdextractos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultacbuconsumo_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultaembargoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultaschdextractoscon_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultachequesrecibidos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultaembargos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultalistadobantotal_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultadetalleban_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultacobrospendientes_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface CajadeAhorroPortTypeV12 {

    @WebMethod(operationName = "consultaListado_v12", action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/cajaAhorro-v1.2/consultaListado_v12")
    public void consultaListadoV12(
        @WebParam(partName = "entrada", name = "ReqConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/cajaAhorro/consultaListado-v1.2")
        ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultalistado_v1.ReqConsultaListado entrada,
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaListado", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/cuenta/cajaAhorro/consultaListado-v1.2")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.cuenta.cajaahorro.consultalistado_v1.RespConsultaListado> salida,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1
    ) throws FaultMessage;
}
